package aalg.crypto;

public interface IBlockCipher {
	/**
	 * Returns length of encrypted block.
	 * @return length of block in bytes
	 */
	public int getBlockLength();
	
	/**
	 * Returns length of key in bytes.
	 * @return length of key in bytes
	 */
	public int getKeySize();
	
	/**
	 * Returns encryptor.
	 * @return encryptor
	 */
	public IBlockCipherTransformation getEncryptor();
	
	/**
	 * Returns decryptor.
	 * @return decryptor
	 */
	public IBlockCipherTransformation getDecryptor();
}
